\documentclass[a4paper, 12pt]{article}
\usepackage[english, italian]{babel}
\usepackage[utf8x]{inputenc}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage{float}
\usepackage{relsize}
\usepackage{subcaption}
\usepackage[margin=2cm]{geometry}
\usepackage{libertine}
\usepackage{url}
\usepackage{hyperref}
\hypersetup{colorlinks,linkcolor=black, citecolor=black, urlcolor=black} 
\usepackage{systeme}
\usepackage{enumitem}
\usepackage{tikz}
\usepackage{verbatim}
\usepackage{algorithm2e}
\usepackage{algorithmic}
\usepackage{verbatim}
\usepackage{booktabs}
\usepackage{tabularx}
\usepackage{listings}
\usepackage{xcolor,colortbl}
\definecolor{PigBlue}{RGB}{42, 0, 255}
\definecolor{PigRed}{RGB}{255, 0, 0}
\definecolor{PigGreen}{RGB}{0,153,0}
\definecolor{PigColor}{RGB}{191,223,206}
\definecolor{JavaColor}{RGB}{237,201,196}

%set listings
\lstset{
    backgroundcolor=\color{white},   % choose the background color
    basicstyle=\footnotesize,        % size of fonts used for the code
    breaklines=true,                 % automatic line breaking only at whitespace
    captionpos=b,   
    language=[LaTeX]TeX,
    %basicstyle=\ttfamily,
    commentstyle=\color{PigGreen},
    keywordstyle=\bfseries\color{PigBlue},
    showstringspaces=false,
    tabsize=4,
    morekeywords={Class,Method, forall, do, if, else, Output, return, EMIT, for}
}

%creo linguaggio per lst pig

\lstdefinelanguage{PigLatin}
{
    keywords=[1]{
        REGISTER ,DEFINE ,LOAD ,STORE ,INTO ,USING ,AS ,JOIN ,BY ,FOREACH ,
        GENERATE ,FILTER ,GROUP ,ALL ,FALSE ,AND ,COUNT, AVG,DaysBetween, ToDate, ToString, CASE, WHEN, ELSE, THEN, FLATTEN, ORDER, ASC, by, GetYear, CurrentTime()
    },
    keywordstyle=[1]\color{PigBlue},
    keywords=[2]{chararray ,int ,float },
    keywordstyle=[2]\color{PigRed},
    sensitive=true,
    morestring=[b]',
    morecomment=[l]{--}
}